## net.sf.statsvn.ant
Class StatSvnTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.statcvs.ant.StatCvsTask
                  net.sf.statsvn.ant.StatSvnTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class StatSvnTask

extends net.sf.statcvs.ant.StatCvsTask

Ant task for running StatSVN.

Author:
  Andy Glover, Richard Cyganiak, Benoit Xhenseval, Jason Kealey

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`StatSvnTask()` Constructor for StatSvnTask.

Method Summary
`void` `execute()` Runs the task
`protected void` `initProperties()` method initializes the ConfigurationOptions object with received values.
`void` `setAnonymize(boolean anonymize)`
`void` `setCacheDir(java.lang.String cacheDir)`
`void` `setConcurrencyThreshold(long thresholdToUseConcurrency)`
`void` `setLegacyDiff(boolean isLegacy)` Should we use a one diff per-file-per-revision or should we use the newer one diff per-revision?
`void` `setPassword(java.lang.String password)`
`void` `setSvnKit(boolean isSvnKit)` Should we use svn kit to query the repository?
`void` `setThreads(int threads)`
`void` `setUsername(java.lang.String username)`

Methods inherited from class net.sf.statcvs.ant.StatCvsTask
`setBugzilla, setCharset, setChora, setConfigFile, setCss, setCvsweb, setDisableTwitterButton, setExclude, setFormat, setInclude, setJCVSWeb, setLog, setMantis, setNoDeveloper, setNotes, setOutputDir, setPath, setTags, setTitle, setViewCVS, setViewVC, setXDoc`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatSvnTask

    public StatSvnTask()

  Constructor for StatSvnTask.

Method Detail

### execute

    public void execute()

  Runs the task

  Overrides:
    `execute` in class `net.sf.statcvs.ant.StatCvsTask`
  Throws:
    `buildException` - if an IO Error occurs

### initProperties

    protected void initProperties()
                           throws net.sf.statcvs.output.ConfigurationException

  method initializes the ConfigurationOptions object with received values.

  Overrides:
    `initProperties` in class `net.sf.statcvs.ant.StatCvsTask`
  Throws:
    `net.sf.statcvs.output.ConfigurationException`

### setAnonymize

    public void setAnonymize(boolean anonymize)

  Parameters:
    `anonymize` - Set Stats to be anonym or not.

### setCacheDir

    public void setCacheDir(java.lang.String cacheDir)

  Parameters:
    `cacheDirectory` - String representing the cache directory of the program

### setPassword

    public void setPassword(java.lang.String password)

  Parameters:
    `password` - The svnPassword to set.

### setUsername

    public void setUsername(java.lang.String username)

  Parameters:
    `username` - The svnUsername to set.

### setThreads

    public void setThreads(int threads)

  Parameters:
    `threads` - the numberSvnDiffThreads to set

### setConcurrencyThreshold

    public void setConcurrencyThreshold(long thresholdToUseConcurrency)

  Parameters:
    `thresholdInMsToUseConcurrency` - the thresholdInMsToUseConcurrency to set

### setLegacyDiff

    public void setLegacyDiff(boolean isLegacy)

  Should we use a one diff per-file-per-revision or should we use the newer one diff per-revision?

  Parameters:
    `isLegacy` - true if the legacy diff should be used.

### setSvnKit

    public void setSvnKit(boolean isSvnKit)

  Should we use svn kit to query the repository?

  Parameters:
    `isSvnKit` - true if we want to use svnkit.